aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Menzel <paulepanter@users.sourceforge.net>2010-12-11 00:30:25 -0800
committerKhem Raj <raj.khem@gmail.com>2010-12-11 00:30:25 -0800
commit00319141d43a13a5be7cbff7d683e0133fc15ed7 (patch)
tree7a53325e1317125a2288bb0c8fe8552c13425d74
parent66205610fc8231e0434f28a3e20ad4c7fce5049b (diff)
downloadopenembedded-00319141d43a13a5be7cbff7d683e0133fc15ed7.zip
openembedded-00319141d43a13a5be7cbff7d683e0133fc15ed7.tar.gz
openembedded-00319141d43a13a5be7cbff7d683e0133fc15ed7.tar.bz2
vlc_1.1.4.1: add `lua5.1-native` to `DEPENDS` and `lua5.1` to `RDEPENDS`
Task `configure` failed with the following error. […] checking for LUA... yes checking for luac... no configure: error: Could not find the LUA byte compiler. ERROR: Function do_configure failed It turns out that `luac` is needed on the build system and therefore `lua5.1-native` needs to be added to `DEPENDS`. Thanks to Petr Štetiar for his advise on this issue [1]. With this patch applied I built this recipe successfully with the following build configuration. Build Configuration: BB_VERSION = "1.10.0" METADATA_BRANCH = "org.openembedded.dev" METADATA_REVISION = "28492a5" TARGET_ARCH = "arm" TARGET_OS = "linux-gnueabi" MACHINE = "beagleboard" DISTRO = "angstrom" DISTRO_VERSION = "2010.7-test-20101106" TARGET_FPU = "hard" [1] http://lists.linuxtogo.org/pipermail/openembedded-devel/2010-November/026631.html Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
-rw-r--r--recipes/vlc/vlc_1.1.4.1.bb3
1 files changed, 2 insertions, 1 deletions
diff --git a/recipes/vlc/vlc_1.1.4.1.bb b/recipes/vlc/vlc_1.1.4.1.bb
index af01d98..df8f17c 100644
--- a/recipes/vlc/vlc_1.1.4.1.bb
+++ b/recipes/vlc/vlc_1.1.4.1.bb
@@ -10,7 +10,8 @@ SRC_URI[sha256sum] = "61c9ea30a17ea40c6ccbfd507026e5c83ad9e0691f221d3667c8e49696
# ffmpeg from git (library version => 52) is required
# libtool-native must be >= 2.2.4
-DEPENDS += "libdvdcss libdvdread lua5.1"
+DEPENDS += "libdvdcss libdvdread lua5.1-native"
+RDEPENDS_${PN} += "lua5.1"
EXTRA_OECONF += "\
--enable-dvdread \